---
lang: en
title: 'API docs: filter.isfilter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.isfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [isFilter](./filter.isfilter.md)

## isFilter() function

TypeGuard for Filter

<b>Signature:</b>

```typescript
export declare function isFilter<MT extends object>(candidate: any): candidate is Filter<MT>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  candidate | any |  |

<b>Returns:</b>

candidate is [Filter](./filter.filter.md)<!-- -->&lt;MT&gt;


